#version 320

precision highp float;

layout(location = 0) in vec2 VertexCoord;
layout(location = 1) in vec2 TextureCoord;
layout(location = 2) in vec4 Color;

out vec4 vColor;
out vec2 vTextureCoord;

void main()
{
	gl_Position = vec4(VertexCoord * vec2(2.666667, 2.0) - vec2(1.333333,1.0), 0.0, 1.0);
    vColor = Color;
    vTextureCoord = TextureCoord;
}
